[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.CalculatePreferredSize

CalculatePreferredSize calls inherited method then supplies its own values if any are missing.

## Declaration

Source position: comctrls.pp line 147

`protected procedure TStatusBar.CalculatePreferredSize(`
`var PreferredWidth: Integer;`
`var PreferredHeight: Integer;`
`WithThemeSpace: Boolean`
`); override;`

## See also

TControl.CalculatePreferredSize |  | Override this method to return the preferred height and width for the control.